Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.etee.crypto.policies
Enum SignatureLayer

    java.lang.Object
      java.lang.Enum<SignatureLayer>
          be.fgov.ehealth.etee.crypto.policies.SignatureLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SignatureLayer>

    public enum SignatureLayer

extends java.lang.Enum<SignatureLayer>

Signed layers in a CMS Message.

Enum Constant Summary
`INNER`
`OUTER`

Method Summary
`static SignatureLayer` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SignatureLayer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INNER

    public static final SignatureLayer INNER

### OUTER

    public static final SignatureLayer OUTER

Method Detail

### values

    public static SignatureLayer[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SignatureLayer c : SignatureLayer.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SignatureLayer valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2019 eHealth. All Rights Reserved.